<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteEventEvaluationRoundsMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteEventEvaluationRounds">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="eventId" column="event_id" jdbcType="BIGINT"/>

            <result property="type" column="type" jdbcType="OTHER"/>
            <result property="roundNumber" column="round_number" jdbcType="INTEGER"/>
            <result property="scoringRuleId" column="scoring_rule_id" jdbcType="INTEGER"/>
            <result property="startDate" column="start_date" jdbcType="DATE"/>
            <result property="endDate" column="end_date" jdbcType="DATE"/>
            <result property="judges" column="judges" jdbcType="VARCHAR"/>
            <result property="awards" column="awards" jdbcType="VARCHAR"/>
            <result property="createdAt" column="created_at" jdbcType="TIMESTAMP"/>
            <result property="updatedAt" column="updated_at" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,event_id,type,
        round_number,scoring_rule_id,start_date,
        end_date,judges,awards,
        created_at,updated_at
    </sql>
</mapper>
